/* Config.pmod
 *
 * Hantera konfigurationsvariablerna.
 */

/* Man skulle kunna spara allt utom "location" i databasen. */

mapping config = ([ /* Var ligger databasen? */
		    "location" : "/opt/nisse/lyskom-foo",

		    /* Vilken port ska bindas? */
		    "portno" : 4894,
			       
		    /* Cacheparametrar */
		    "text_stat_cache_size" : 10000,
		    "text_cache_size" : 1000,
		    "membership_cache_size" : 200,
		    "membership_sync_time" : 30,
		    "conf_texts_cache_size" : 150,
		    "created_texts_cache_size" : 100,
		    "unread_cache_size" : 200,
		    "unread_sync_time" : 60,
		    "mark_cache_size" : 100,

		    /* Antal trdar som hanterar requests. */
		    "num_threads": 17,

		    /* Garbtid */
		    "default_letterbox_nice" : 3333,
		    "default_conference_nice" : 333,

		    /* Begrnsningar */
		    "max_name_length" : 1000,
		    "max_what_length" : 100,
		    "max_subject_length": 500,
		    "max_text_length" : 100000,
		    
		    /* Mtesprioritet */
		    "default_priority" : 128,

		    /* Skerhet */
		    "create_person_without_login" : 1,
		    "anyone_may_create_conf" : 1, 
		    "anyone_may_create_person" : 1,

		    /* swascii i namn */
		    "swascii_matching" : 1
		    ]);

mixed query_var(string name)
{
  mixed value = config[name];
  if (zero_type(value))
    throw( ({ sprintf("Config.query_variable: '%s' not defined.\n", name),
	      backtrace() }) );
  return value;
}
